// Written by Dr. YIP Chi Lap [Beta]
//   for Workshop on "Computer-aided visibility measurement using digital cameras",
//   Visibility Measurement Method Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2012.

void setup() {
  /*
     Expressions are evaluated to give a value,
       such as 3+5 , or 3 + 5 .

     Operators + - * / represent
      addition, substraction, multiplication, and division respectively.
  */

  // What do these lines print?
  println(3+5);
  println(3-5);
  println(3*5);
  println(3/5);

  /*
     Note that println(3/5) gives 0.
     This is because both sides of the / are integers.
     Hence, the division is an integer division.
     To get floating point numbers,
       at least one of the sides has to be a floating point number
  */

  // What do these lines print?
  println(  3.0 / 5   );
  println( 15   / 5.0 );
  println(  3   / 5.0 );

  /*
     As you may have noticed,
       white spaces (spaces, tabs or new lines) can be inserted
       into expressions without problems
       as long as the symbol (e.g., 5.0 or 13) itself
       is not broken by them.
  */
}
