// Written by Dr. YIP Chi Lap [Beta]
//   for Workshop on "Computer-aided visibility measurement using digital cameras",
//   Visibility Measurement Method Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2012.

/*
   Answer to Exercise:
   1. Modify the program so that the backgroud is pale yellow in colour
	(R=255, G=255, B=192).

      => Change the parameters of the background() call.

   2. Add code here to draw horizontal grid lines spaced 50 pixels apart.

      => Add another for loop

*/

void setup() {
  size(600,400);
}

void draw() {

  background(255,255,192);

  for (int x=0; x<width; x+=50) {
    line(x,0,x,height);
  }

  // Here we call the loop variable y because
  //   it is the y-coordinate of the line to be drawn.
  //
  for (int y=0; y<height; y+=50) {
    // (0,y) to (width,y) is the horizontal line to be drawn
    line(0,y,width,y);
  }

}
