// Written by Dr. YIP Chi Lap [Beta]
//   for Workshop on "Computer-aided visibility measurement using digital cameras",
//   Visibility Measurement Method Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2012.

void setup() {
  size(600,400);
}

void draw() {
  background(255,255,192);
}

/*
  Mouse movements and clicks are handled by the five functions
    mousePressed(), mouseReleased(),
    mouseClicked(),
    mouseMoved() and mouseDragged().

  The variables mouseX and mouseY are the mouse coordinates.
  These variables can be accessed anywhere in the program.

  mouseMoved()   is called whenever the mouse moves and no mouse button is pressed.
  mouseDragged() is called whenever the mouse moves while a button is pressed.

*/

void mouseMoved() {
  // Prints the mouse position every time the mouse is moved and no mouse button is pressed.
  println( "Moved:    (" + mouseX + "," + mouseY + ")" );
}

void mouseDragged() {
  // Prints the mouse position every time the mouse is moved while a mouse button is pressed.
  println( "Dragged:  (" + mouseX + "," + mouseY + ")" );
}
