// Written by Dr. YIP Chi Lap [Beta]
//   for Workshop on "Computer-aided visibility measurement using digital cameras",
//   Visibility Measurement Method Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2012.

void setup() {
  size(600,400);
}

void draw() {
  background(255,255,192);
}

/*
  Mouse movements and clicks are handled by the five functions
    mousePressed(), mouseReleased(),
    mouseClicked(),
    mouseMoved() and mouseDragged().

  The variables mouseX and mouseY are the mouse coordinates.
  These variables can be accessed anywhere in the program.

  mousePressed()  is called when a mouse button is pressed.
  mouseReleased() is called when a mouse button is released.
  mouseClicked()  is called when a mouse button is clicked,
    that is, a button is pressed then released without
    movements in between.

  Experiment and see when mouseClicked() is called.
*/

void mousePressed() {
  // Prints the mouse position every time the mouse button is pressed
  println( "Pressed:  (" + mouseX + "," + mouseY + ")" );
}

void mouseReleased() {
  // Prints the mouse position every time the mouse button is released
  println( "Released: (" + mouseX + "," + mouseY + ")" );
}

void mouseClicked() {
  // Prints the mouse position every time the mouse is clicked
  println( "Clicked:  (" + mouseX + "," + mouseY + ")" );
}
