// Written by Dr. YIP Chi Lap [Beta]
//   for Workshop on "Computer-aided visibility measurement using digital cameras",
//   Visibility Measurement Method Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2012.

/*
   Answer to exercise:
   1. Record the time mouse button is released in the variables endX and endY .

      => Two more declaration statements at the beginning.

   2. Modify draw() so that the endX and endY are printed as well.

      => Simple modification of the println() line in draw() .
*/


int startX = -1;
int startY = -1;
int endX   = -1;
int endY   = -1;

void setup() {
  size(600,400);
}

void draw() {
  background(255,255,192);

  println( "startX: " + startX + ", startY: " + startY +
           ", endX: " + endX + ", endY: " + endY );
}

void mousePressed() {
  startX = mouseX;
  startY = mouseY;
}

void mouseReleased() {
  endX = mouseX;
  endY = mouseY;
}

/*
   Exercise (Defining a rectangle):
     Modify the program so that:
     + One corner of the rectangle to be constructed is defined
         when a mouse button is pressed
     + Another corner of the rectangle follows the mouse cursor
         before the mouse button is released
     + Release of the mouse button defines the rectangle.
     + The rectangle should be shown while it is being defined.
     + The rectangle should have a black outline and should not be filled.

     Note that you may need to add another function to complete the exercise.
*/
