// Written by Dr. YIP Chi Lap [Beta]
//   for Workshop on "Computer-aided visibility measurement using digital cameras",
//   Visibility Measurement Method Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2012.

/*
   This is the same code as the previous example,
     with disabled code and lengthy comments removed.
*/


PImage img;


void setup() {

  // Load the image
  img = loadImage("imgHKW_100605_0900.jpg");

  // Make window size same as image size.
  size(img.width, img.height);

}


void draw() {
  // Use image img as background
  background(img);
}


void mouseMoved() {
  // Prepare for accessing colour of a pixel
  loadPixels();

  // Get the colour of the pixel of the picture at (mouseX,mouseY)
  color p = pixels[mouseY*img.width + mouseX];

  // Print out the component and brightness values
  println("red: " + red(p) +
          ", green: " + green(p) +
          ", blue: " + blue(p) +
	  ", brightness: " + brightness(p));
}

/*
   Exercise:
     Let the user define a rectange on the image using the mouse.
     Nothing needs to be done after the rectangle is defined.
     Hint: integrate the code from a earlier exercise.
*/
