// Written by Dr. YIP Chi Lap [Beta]
//   for Workshop on "Computer-aided visibility measurement using digital cameras",
//   Visibility Measurement Method Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2012.

void setup() {
  size(400,300);
}

void draw() {

  background(127);       // Grey background

  /*
     rectMode() modifies the semantics of the parameters to rect() .
     There are four possibile parameters: CORNER, CORNERS, CENTER, and RADIUS .
     Here are two examples for CORNER and CORNERS .
  */

  noFill();              // Outline only

  stroke(255,0,0);       // Red outline
  rectMode(CORNER);
  //  x-coordinate of the top-left corner
  //   |  y-coordinate of the top-left corner
  //   |   |  Width of the rectangle
  //   |   |   |  Height of the rectangle
  //   |   |   |   |
  rect(200,150,150,100);

  stroke(0,255,0);       // Green outline
  rectMode(CORNERS);
  //  x-coordinate of one corner
  //   |  y-coordinate of the one corner
  //   |   |  x-coordinate of another corner
  //   |   |   |  y-coordinate of another corner
  //   |   |   |   |
  rect(200,150,150,100);

}
