// Written by Dr. YIP Chi Lap [Beta]
//   for Workshop on "Computer-aided visibility measurement using digital cameras",
//   Visibility Measurement Method Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2012.

void setup() {
  size(400,300);
}

void draw() {

  background(127);       // Grey background

  /*
     rectMode() modifies the semantics of the parameters to rect() .
     There are four possibile parameters: CORNER, CORNERS, CENTER, RADIUS .
     Here are the examples for CENTER and RADIUS .
  */

  noFill();              // Outline only

  stroke(0,0,255);       // Blue outline
  rectMode(CENTER);
  //  x-coordinate of the center or the rectangle
  //   |  y-coordinate of the center or the rectangle
  //   |   |  Width of the rectangle
  //   |   |   |  Height of the rectangle
  //   |   |   |   |
  rect(200,150,150,100);

  stroke(255);           // White outline
  rectMode(RADIUS);
  //  x-coordinate of the center or the rectangle
  //   |  y-coordinate of the center or the rectangle
  //   |   |  Half width of the rectangle
  //   |   |   |  Half height of the rectangle
  //   |   |   |   |
  rect(200,150,150,100);

}
