// Written by Dr. YIP Chi Lap [Beta]
//   for Workshop on "Computer-aided visibility measurement using digital cameras",
//   Visibility Measurement Method Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2012.

/*
   Values that can be changed and referred to later are variables.
   They can be declared outside any function
     so that all functions can see them.

   Here, we declare two variables startX and startY.
   Both of them are integers (int),
     and are initalize to -1.

   They can be referenced from all places in the program.
   Hence, they are called "global variables".
*/
int startX = -1;
int startY = -1;

void setup() {
  size(600,400);
}

void draw() {
  background(255,255,192);
  // Prints out the values of startX and startY
  println( "startX: " + startX + ", startY: " + startY );
}

// Note that the following function is called
//   whenever a mouse button is pressed.
void mousePressed() {
  // The coordinates of the mouse at the time of mouse start
  //   are remembered in the variables startX and startY.
  startX = mouseX;
  startY = mouseY;
}

/*
   Exercise:
   1. Record the time mouse button is released in the variables endX and endY .
   2. Modify draw() so that the endX and endY are printed as well.
*/
